Option Explicit

'************************************************************
' ֐FIsFileExists
' Tv@Ft@C̑݃`FbN
' @F[strFilePath] - t@C̃pX
' ߂lF݂TrueAłȂFalse
'************************************************************
Function IsFileExists(ByVal strFilePath)
    Dim objFso
    Set objFso = CreateObject("Scripting.FileSystemObject")

    IsFileExists = objFso.FileExists(strFilePath)

    Set objFso = Nothing
End Function

'************************************************************
' ֐FIsFolderExists
' Tv@FtH_̑݃`FbN
' @F[strFolderPath] - tH_̃pX
' ߂lF݂TrueAłȂFalse
'************************************************************
Function IsFolderExists(ByVal strFolderPath)
    Dim objFso
    Set objFso = CreateObject("Scripting.FileSystemObject")

    IsFolderExists = objFso.FolderExists(strFolderPath)

    Set objFso = Nothing
End Function

'************************************************************
' ֐FGetDateCreatedFile
' Tv@Ft@C̍쐬t擾
' @F[strFilePath] - t@C̃pX
' ߂lFt@C̍쐬t
'************************************************************
Function GetDateCreatedFile(ByVal strFilePath)
    GetDateCreatedFile = ""

    Dim blnExists
    blnExists = IsFileExists(strFilePath)
    If (blnExists = False) Then
        Exit Function
    End If

    Dim objFso
    Set objFso = CreateObject("Scripting.FileSystemObject")

    Dim objFile
    Set objFile = objFso.GetFile(strFilePath)

    GetDateCreatedFile = objFile.DateCreated

    Set objFile = Nothing
    Set objFso = Nothing
End Function

'************************************************************
' ֐FGetDateLastModifiedFile
' Tv@Ft@C̍XVt擾
' @F[strFilePath] - t@C̃pX
' ߂lFt@C̍XVt
'************************************************************
Function GetDateLastModifiedFile(ByVal strFilePath)
    GetDateLastModifiedFile = ""

    Dim blnExists
    blnExists = IsFileExists(strFilePath)
    If (blnExists = False) Then
        Exit Function
    End If

    Dim objFso
    Set objFso = CreateObject("Scripting.FileSystemObject")

    Dim objFile
    Set objFile = objFso.GetFile(strFilePath)

    GetDateLastModifiedFile = objFile.DateLastModified

    Set objFile = Nothing
    Set objFso = Nothing
End Function

'************************************************************
' ֐FGetDateLastAccessedFile
' Tv@Ft@C̍XVt擾
' @F[strFilePath] - t@C̃pX
' ߂lFt@C̃ANZXt
'************************************************************
Function GetDateLastAccessedFile(ByVal strFilePath)
    GetDateLastAccessedFile = ""

    Dim blnExists
    blnExists = IsFileExists(strFilePath)
    If (blnExists = False) Then
        Exit Function
    End If

    Dim objFso
    Set objFso = CreateObject("Scripting.FileSystemObject")

    Dim objFile
    Set objFile = objFso.GetFile(strFilePath)

    GetDateLastAccessedFile = objFile.DateLastAccessed

    Set objFile = Nothing
    Set objFso = Nothing
End Function

'++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
' t@CʃNX
'++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Class FileCommon

    'bZ[W
    Private mstrMessage

    'RXgN^
    Private Sub Class_Initialize()
        mstrMessage = ""
    End Sub

    '************************************************************
    ' vpeBFMessage
    ' Tv@@@@FbZ[W
    '************************************************************
    Public Property Get Message()
        Message = mstrMessage
    End Property
    Private Property Let Message(ByVal strMsg)
        mstrMessage = strMsg
    End Property

    '************************************************************
    ' \bhFCreateFolder
    ' Tv@@@FtH_쐬
    ' @@@F[strFolderPath] - tH_pX
    ' ߂l@@F쐬łTrueAłȂFalse
    '************************************************************
    Public Function CreateFolder(ByVal strFolderPath)
        CreateFolder = False

        On Error Resume Next

        Dim blnExists
        blnExists = IsFolderExists(strFolderPath)
        If (blnExists = True) Then
            CreateFolder = True
            Exit Function
        End If

        Dim objFso
        Set objFso = CreateObject("Scripting.FileSystemObject")

        objFso.CreateFolder strFolderPath

        Set objFso = Nothing

        If Not (Err.Number = 0) Then
            Message = CStr(Err.Number) & ":" & Err.Description
            Err.Clear
            Exit Function
        End If

        On Error GoTo 0

        CreateFolder = True
    End Function

    '************************************************************
    ' \bhFFileDelete
    ' Tv@@@Ft@C폜
    ' @@@F[strFilePath] - t@CpX
    ' ߂l@@F폜łTrueAłȂFalse
    '************************************************************
    Public Function FileDelete(ByVal strFilePath)
        FileDelete = False

        On Error Resume Next

        Dim blnExists
        blnExists = IsFileExists(strFilePath)
        If (blnExists = False) Then
            FileDelete = True
            Exit Function
        End If

        Dim objFso
        Set objFso = CreateObject("Scripting.FileSystemObject")

        objFso.DeleteFile strFilePath

        Set objFso = Nothing

        If Not (Err.Number = 0) Then
            Message = CStr(Err.Number) & ":" & Err.Description
            Err.Clear
            Exit Function
        End If

        On Error GoTo 0

        FileDelete = True
    End Function

    '************************************************************
    ' \bhFFolderDelete
    ' Tv@@@FtH_폜
    ' @@@F[strFolderPath] - tH_pX
    ' ߂l@@F폜łTrueAłȂFalse
    '************************************************************
    Public Function FolderDelete(ByVal strFolderPath)
        FolderDelete = False

        On Error Resume Next

        Dim blnExists
        blnExists = IsFolderExists(strFolderPath)
        If (blnExists = False) Then
            FolderDelete = True
            Exit Function
        End If

        Dim objFso
        Set objFso = CreateObject("Scripting.FileSystemObject")

        objFso.DeleteFolder strFolderPath

        Set objFso = Nothing

        If Not (Err.Number = 0) Then
            Message = CStr(Err.Number) & ":" & Err.Description
            Err.Clear
            Exit Function
        End If

        On Error GoTo 0

        FolderDelete = True
    End Function

    '************************************************************
    ' \bhFFileCopy
    ' Tv@@@Ft@CRs[
    ' @@@F[strFrom] - t@CRs[
    ' @@@@@@[strTo] - t@CRs[
    ' ߂l@@FɃRs[łTrueAłȂFalse
    '************************************************************
    Public Function FileCopy(ByVal strFrom, ByVal strTo)
        FileCopy = False

        On Error Resume Next

        Dim objFso
        Set objFso = CreateObject("Scripting.FileSystemObject")

        objFso.CopyFile strFrom, strTo

        Set objFso = Nothing

        If Not (Err.Number = 0) Then
            Message = CStr(Err.Number) & ":" & Err.Description
            Err.Clear
            Exit Function
        End If

        On Error GoTo 0

        FileCopy = True
    End Function

    '************************************************************
    ' \bhFFolderCopy
    ' Tv@@@FtH_Rs[
    ' @@@F[strFrom] - tH_Rs[
    ' @@@@@@[strTo] - tH_Rs[
    ' ߂l@@FɃRs[łTrueAłȂFalse
    '************************************************************
    Public Function FolderCopy(ByVal strFrom, ByVal strTo)
        FolderCopy = False

        On Error Resume Next

        Dim objFso
        Set objFso = CreateObject("Scripting.FileSystemObject")

        objFso.CopyFolder strFrom, strTo

        Set objFso = Nothing

        If Not (Err.Number = 0) Then
            Message = CStr(Err.Number) & ":" & Err.Description
            Err.Clear
            Exit Function
        End If

        On Error GoTo 0

        FolderCopy = True
    End Function

    '************************************************************
    ' \bhFFileMove
    ' Tv@@@Ft@Cړ
    ' @@@F[strFrom] - t@Cړ
    ' @@@@@@[strTo] - t@Cړ
    ' ߂l@@FɈړłTrueAłȂFalse
    '************************************************************
    Public Function FileMove(ByVal strFrom, ByVal strTo)
        FileMove = False

        On Error Resume Next

        Dim objFso
        Set objFso = CreateObject("Scripting.FileSystemObject")

        objFso.MoveFile strFrom, strTo

        Set objFso = Nothing

        If Not (Err.Number = 0) Then
            Message = CStr(Err.Number) & ":" & Err.Description
            Err.Clear
            Exit Function
        End If

        On Error GoTo 0

        FileMove = True
    End Function

    '************************************************************
    ' \bhFFolderMove
    ' Tv@@@FtH_Rs[
    ' @@@F[strFrom] - tH_ړ
    ' @@@@@@[strTo] - tH_ړ
    ' ߂l@@FɈړłTrueAłȂFalse
    '************************************************************
    Public Function FolderMove(ByVal strFrom, ByVal strTo)
        FolderMove = False

        On Error Resume Next

        Dim objFso
        Set objFso = CreateObject("Scripting.FileSystemObject")

        objFso.MoveFolder strFrom, strTo

        Set objFso = Nothing

        If Not (Err.Number = 0) Then
            Message = CStr(Err.Number) & ":" & Err.Description
            Err.Clear
            Exit Function
        End If

        On Error GoTo 0

        FolderMove = True
    End Function

End Class

